Subject: Re: bug#35877: guix pull extremely verbose (with no ----verbose)

From: Ludovic Courtès <[email-masked]>
Date: Fri, 24 May 2019 18:43:30 +0200

Hi Ricardo,

Ricardo Wurmus <[email-masked]> skribis:

> I can now also reproduce this on a foreign distro.  This only happens
> with “guix pull” (not with “guix package”) and with a newer daemon
> (which I didn’t have previously).
>
> When building things “guix pull” prints the full build log interspersed
> with tags like “@ build-log 22902 23”.

This happens when ‘compute-guix-derivation’ has to build things: it
inherits the client-provided settings such as the “multiplexed build
output” option, but its output goes straight to stderr without any
processing.

The right thing would be to consume its stderr, which might be tricky,
or to just hide it.

Thoughts?

Ludo’.